Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576742 - undefined method `each_with_object' for nil:NilClass on creating a virt-who config for libvirt
Summary: undefined method `each_with_object' for nil:NilClass on creating a virt-who c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Roman Plevka
satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 10:04 UTC by Roman Plevka
Modified: 2019-11-05 23:19 UTC (History)
3 users (show)

Fixed In Version: foreman_virt_who_configure-0.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:25:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23641 0 None None None 2018-05-18 13:42:34 UTC

Description Roman Plevka 2018-05-10 10:04:07 UTC
Description of problem:
whenever i try to create a config for a libvirt hypervisor (ui or cli) I get the following ISE:

Oops, we're sorry but something went wrong undefined method `each_with_object' for nil:NilClass

- i have a libvirt deployed on the same server as satellite. I doublechecked I'm able to remotely connect to the hypervisor using qemu+tcp


# hammer virt-who-config create --name virtfoo --satellite-url satfqdn.com --organization-id=1 --location-id=2 --hypervisor-username=admin --hypervisor-type=libvirt --hypervisor-server=qemu+tcp://satfqdn.com/system --hypervisor-id=hostname --interval=120 --filtering-mode=none

Version-Release number of selected component (if applicable):
6.4.0-2

Steps to Reproduce:
1. setup libvirt hypervisor to listen on all interfaces
2. o nsatellite: try to add a virt-who config pointing to the hypervisor

Actual results:
Oops, we're sorry but something went wrong undefined method `each_with_object' for nil:NilClass

Expected results:
config created or a human-readable message is generated if i missed anything

Comment 3 Marek Hulan 2018-05-18 13:42:32 UTC
Created redmine issue http://projects.theforeman.org/issues/23641 from this bug

Comment 4 Roman Plevka 2018-07-17 10:00:42 UTC
VERIFIED
on sat6.4.0-12

the virt-who config can now be created using both - UI and CLI.


# hammer virt-who-config create --name virtfoo --satellite-url satfqdn.com --organization-id=1 --location-id=2 --hypervisor-username=admin --hypervisor-type=libvirt --hypervisor-server=qemu+tcp://$(hostname)/system --hypervisor-id=hostname --interval=120 --filtering-mode=none
Virt Who configuration [virtfoo] created
[root@tyan-gt24-12 ~]# hostname
hostname-abc-42.foo.bar.com

Comment 5 Bryan Kearney 2018-10-16 19:25:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.